package com.happy.service;

import com.happy.Model.AdminManager;
import com.happy.dto.IPage;
import com.happy.dto.ManageHouseDto;
import com.happy.dto.OwnerHouseDto;
import com.happy.dto.townshipCountDTO;

import java.util.List;

public interface AdminManagerService {


    /**
     * 描述：新增
     * @param adminManager
     * @return
     */
    int insertAdmin(AdminManager adminManager);

    /**
     * 描述：修改
     * @param adminManager
     * @return
     */
    int updateAdmin(AdminManager adminManager);

    /**
     * 描述：删除
     * @param id
     * @return
     */
    int delAdmin(int id);

    /**
     * 描述：根据Id查询详细
     * @param id
     * @return
     */
    AdminManager getById(int id);

    /**
     * 描述：分页查询
     * @param sqlx
     * @param page
     * @param rows
     * @return
     */
    IPage<AdminManager> queryPage(String sqlx, int page, int rows);

    /**
     * 描述：查询列表
     * @param sqlx
     * @return
     */
    List<AdminManager> queryList(String sqlx);
    /**
     * 描述：查询一条数据
     * @param sqlx
     * @return
     */
    AdminManager getOen(String sqlx);

    /**
     * 描述：获取各乡俗民宿级别数量
     * @return
     */
    List<townshipCountDTO> getTownshipCount();

    /**
     * 描述：获取各乡镇剩余房数
     * @return
     */
    List<townshipCountDTO> getResidueCount();

    /**
     * 获取各个乡镇下的总房间数
     * @return
     */
    List<ManageHouseDto> getTotalHouseCount();

    /**
     * 获取乡镇下民宿的总房间数
     */
    List<OwnerHouseDto> getTotalManageCount(String hotelTownship, Integer type);

}
